# AMDMultiDrawIndirect (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class AMDMultiDrawIndirect

    java.lang.Object
      org.lwjgl.opengl.AMDMultiDrawIndirect

    public final class AMDMultiDrawIndirect

extends java.lang.Object

Method Summary
`static void` `glMultiDrawArraysIndirectAMD(int mode, java.nio.ByteBuffer indirect, int primcount, int stride)`
`static void` `glMultiDrawArraysIndirectAMD(int mode, java.nio.IntBuffer indirect, int primcount, int stride)` Overloads glMultiDrawArraysIndirectAMD.
`static void` `glMultiDrawArraysIndirectAMD(int mode, long indirect_buffer_offset, int primcount, int stride)`
`static void` `glMultiDrawElementsIndirectAMD(int mode, int type, java.nio.ByteBuffer indirect, int primcount, int stride)`
`static void` `glMultiDrawElementsIndirectAMD(int mode, int type, java.nio.IntBuffer indirect, int primcount, int stride)` Overloads glMultiDrawElementsIndirectAMD.
`static void` `glMultiDrawElementsIndirectAMD(int mode, int type, long indirect_buffer_offset, int primcount, int stride)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### glMultiDrawArraysIndirectAMD

    public static void glMultiDrawArraysIndirectAMD(int mode,
                                                    java.nio.ByteBuffer indirect,
                                                    int primcount,
                                                    int stride)

### glMultiDrawArraysIndirectAMD

    public static void glMultiDrawArraysIndirectAMD(int mode,
                                                    long indirect_buffer_offset,
                                                    int primcount,
                                                    int stride)

### glMultiDrawArraysIndirectAMD

    public static void glMultiDrawArraysIndirectAMD(int mode,
                                                    java.nio.IntBuffer indirect,
                                                    int primcount,
                                                    int stride)

  Overloads glMultiDrawArraysIndirectAMD.

### glMultiDrawElementsIndirectAMD

    public static void glMultiDrawElementsIndirectAMD(int mode,
                                                      int type,
                                                      java.nio.ByteBuffer indirect,
                                                      int primcount,
                                                      int stride)

### glMultiDrawElementsIndirectAMD

    public static void glMultiDrawElementsIndirectAMD(int mode,
                                                      int type,
                                                      long indirect_buffer_offset,
                                                      int primcount,
                                                      int stride)

### glMultiDrawElementsIndirectAMD

    public static void glMultiDrawElementsIndirectAMD(int mode,
                                                      int type,
                                                      java.nio.IntBuffer indirect,
                                                      int primcount,
                                                      int stride)

  Overloads glMultiDrawElementsIndirectAMD.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.